install.php 981 Bytes
Newer Older
1 2
<?php

3 4 5 6 7
/**
 * @file
 * Initiates a browser-based installation of Drupal.
 */

8 9 10
// Change the directory to the Drupal root.
chdir('..');

11 12 13
/**
 * Root directory of Drupal installation.
 */
14
define('DRUPAL_ROOT', getcwd());
15

16 17 18
/**
 * Global flag to indicate that site is in installation mode.
 */
19
const MAINTENANCE_MODE = 'install';
20

21
// Exit early if running an incompatible PHP version to avoid fatal errors.
22 23 24 25 26
// The minimum version is specified explicitly, as DRUPAL_MINIMUM_PHP is not
// yet available. It is defined in bootstrap.inc, but it is not possible to
// load that file yet as it would cause a fatal error on older versions of PHP.
if (version_compare(PHP_VERSION, '5.3.2') < 0) {
  print 'Your PHP installation is too old. Drupal requires at least PHP 5.3.2. See the <a href="http://drupal.org/requirements">system requirements</a> page for more information.';
27 28 29
  exit;
}

30
// Start the installer.
31
require_once DRUPAL_ROOT . '/core/includes/install.core.inc';
32
install_drupal();